"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const memoryCache = require("memory-cache");
const matrix_js_snippets_1 = require("matrix-js-snippets");
class MemoryCache {
    constructor() {
        this.internalCache = new memoryCache.Cache();
    }
    put(key, value, timeoutMs) {
        this.internalCache.put(key, value, timeoutMs);
    }
    get(key) {
        return this.internalCache.get(key);
    }
    del(key) {
        this.internalCache.del(key);
    }
    clear() {
        this.internalCache.clear();
    }
}
exports.MemoryCache = MemoryCache;
class _CacheManager {
    constructor() {
        this.caches = {};
    }
    for(namespace) {
        let cache = this.caches[namespace];
        if (!cache) {
            matrix_js_snippets_1.LogService.info("MemoryCache", "Creating a new cache for namespace: " + namespace);
            cache = this.caches[namespace] = new MemoryCache();
        }
        return cache;
    }
}
exports.Cache = new _CacheManager();
exports.CACHE_INTEGRATIONS = "integrations";
exports.CACHE_NEB = "neb";
exports.CACHE_UPSTREAM = "upstream";
exports.CACHE_SCALAR_ACCOUNTS = "scalar-accounts";
exports.CACHE_SCALAR_ONLINE_STATE = "scalar-online-state";
exports.CACHE_WIDGET_TITLES = "widget-titles";
exports.CACHE_FEDERATION = "federation";
exports.CACHE_IRC_BRIDGE = "irc-bridge";
exports.CACHE_STICKERS = "stickers";
exports.CACHE_TELEGRAM_BRIDGE = "telegram-bridge";
exports.CACHE_WEBHOOKS_BRIDGE = "webhooks-bridge";
exports.CACHE_GITTER_BRIDGE = "gitter-bridge";
exports.CACHE_SIMPLE_BOTS = "simple-bots";
exports.CACHE_SLACK_BRIDGE = "slack-bridge";
exports.CACHE_TERMS = "terms";
//# sourceMappingURL=MemoryCache.js.map