"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_rest_1 = require("typescript-rest");
const TermsController_1 = require("../controllers/TermsController");
const es6_1 = require("typescript-ioc/es6");
const MatrixSecurity_1 = require("../security/MatrixSecurity");
/**
 * Administrative API for configuring terms of service.
 */
let AdminTermsService = class AdminTermsService {
    getPolicies() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.termsController.getPoliciesForAdmin();
        });
    }
    getPolicy(shortcode, version) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.termsController.getPolicyForAdmin(shortcode, version);
        });
    }
    createDraftPolicy(shortcode, request) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.termsController.createDraftPolicy(request.name, shortcode, request.text, request.url);
        });
    }
    publishDraftPolicy(shortcode, version) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.termsController.publishPolicy(shortcode, version);
        });
    }
    updatePolicy(shortcode, version, request) {
        return __awaiter(this, void 0, void 0, function* () {
            return this.termsController.updatePolicy(request.name, shortcode, version, request.text, request.url);
        });
    }
};
__decorate([
    es6_1.Inject,
    __metadata("design:type", TermsController_1.default)
], AdminTermsService.prototype, "termsController", void 0);
__decorate([
    typescript_rest_1.GET,
    typescript_rest_1.Path("all"),
    typescript_rest_1.Security([MatrixSecurity_1.ROLE_USER, MatrixSecurity_1.ROLE_ADMIN]),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], AdminTermsService.prototype, "getPolicies", null);
__decorate([
    typescript_rest_1.GET,
    typescript_rest_1.Path(":shortcode/:version"),
    typescript_rest_1.Security([MatrixSecurity_1.ROLE_USER, MatrixSecurity_1.ROLE_ADMIN]),
    __param(0, typescript_rest_1.PathParam("shortcode")), __param(1, typescript_rest_1.PathParam("version")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], AdminTermsService.prototype, "getPolicy", null);
__decorate([
    typescript_rest_1.POST,
    typescript_rest_1.Path(":shortcode/draft"),
    typescript_rest_1.Security([MatrixSecurity_1.ROLE_USER, MatrixSecurity_1.ROLE_ADMIN]),
    __param(0, typescript_rest_1.PathParam("shortcode")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, Object]),
    __metadata("design:returntype", Promise)
], AdminTermsService.prototype, "createDraftPolicy", null);
__decorate([
    typescript_rest_1.POST,
    typescript_rest_1.Path(":shortcode/publish/:version"),
    typescript_rest_1.Security([MatrixSecurity_1.ROLE_USER, MatrixSecurity_1.ROLE_ADMIN]),
    __param(0, typescript_rest_1.PathParam("shortcode")), __param(1, typescript_rest_1.PathParam("version")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String]),
    __metadata("design:returntype", Promise)
], AdminTermsService.prototype, "publishDraftPolicy", null);
__decorate([
    typescript_rest_1.PUT,
    typescript_rest_1.Path(":shortcode/:version"),
    typescript_rest_1.Security([MatrixSecurity_1.ROLE_USER, MatrixSecurity_1.ROLE_ADMIN]),
    __param(0, typescript_rest_1.PathParam("shortcode")), __param(1, typescript_rest_1.PathParam("version")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Object]),
    __metadata("design:returntype", Promise)
], AdminTermsService.prototype, "updatePolicy", null);
AdminTermsService = __decorate([
    typescript_rest_1.Path("/api/v1/dimension/admin/terms"),
    es6_1.AutoWired
], AdminTermsService);
exports.AdminTermsService = AdminTermsService;
//# sourceMappingURL=AdminTermsService.js.map