"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_rest_1 = require("typescript-rest");
const MatrixLiteClient_1 = require("../../matrix/MatrixLiteClient");
const config_1 = require("../../config");
/**
 * API for interacting with matrix media
 */
let DimensionMediaService = class DimensionMediaService {
    getThumbnail(serverName, contentId, width, height, method = "scale", isAnimated = true) {
        return __awaiter(this, void 0, void 0, function* () {
            const client = new MatrixLiteClient_1.MatrixLiteClient(config_1.default.homeserver.accessToken);
            const url = yield client.getThumbnailUrl(serverName, contentId, width, height, method, isAnimated);
            return new typescript_rest_1.Return.MovedTemporarily(url);
        });
    }
};
__decorate([
    typescript_rest_1.GET,
    typescript_rest_1.Path("thumbnail/:serverName/:contentId"),
    __param(0, typescript_rest_1.PathParam("serverName")), __param(1, typescript_rest_1.PathParam("contentId")), __param(2, typescript_rest_1.QueryParam("width")), __param(3, typescript_rest_1.QueryParam("height")), __param(4, typescript_rest_1.QueryParam("method")), __param(5, typescript_rest_1.QueryParam("animated")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String, String, Number, Number, String, Object]),
    __metadata("design:returntype", Promise)
], DimensionMediaService.prototype, "getThumbnail", null);
DimensionMediaService = __decorate([
    typescript_rest_1.Path("/api/v1/dimension/media")
], DimensionMediaService);
exports.DimensionMediaService = DimensionMediaService;
//# sourceMappingURL=DimensionMediaService.js.map