"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_rest_1 = require("typescript-rest");
const es6_1 = require("typescript-ioc/es6");
const MatrixSecurity_1 = require("../security/MatrixSecurity");
const TermsController_1 = require("../controllers/TermsController");
/**
 * API for account management
 */
let MatrixTermsService = class MatrixTermsService {
    getAllTerms() {
        return __awaiter(this, void 0, void 0, function* () {
            return this.termsController.getAvailableTerms();
        });
    }
    signTerms(request) {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.termsController.signTermsMatching(this.context.request.user, request.user_accepts);
            return {};
        });
    }
};
__decorate([
    es6_1.Inject,
    __metadata("design:type", TermsController_1.default)
], MatrixTermsService.prototype, "termsController", void 0);
__decorate([
    typescript_rest_1.Context,
    __metadata("design:type", typescript_rest_1.ServiceContext)
], MatrixTermsService.prototype, "context", void 0);
__decorate([
    typescript_rest_1.GET,
    typescript_rest_1.Path(""),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], MatrixTermsService.prototype, "getAllTerms", null);
__decorate([
    typescript_rest_1.POST,
    typescript_rest_1.Path(""),
    typescript_rest_1.Security(MatrixSecurity_1.ROLE_USER),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], MatrixTermsService.prototype, "signTerms", null);
MatrixTermsService = __decorate([
    typescript_rest_1.Path("/_matrix/integrations/v1/terms"),
    es6_1.AutoWired
], MatrixTermsService);
exports.MatrixTermsService = MatrixTermsService;
//# sourceMappingURL=MatrixTermsService.js.map