"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_rest_1 = require("typescript-rest");
const matrix_js_snippets_1 = require("matrix-js-snippets");
const MemoryCache_1 = require("../../MemoryCache");
const MatrixLiteClient_1 = require("../../matrix/MatrixLiteClient");
const config_1 = require("../../config");
const MatrixSecurity_1 = require("../security/MatrixSecurity");
const moment = require("moment");
/**
 * API for the minimum Scalar API for widget functionality in clients.
 */
let ScalarWidgetService = class ScalarWidgetService {
    titleLookup(url) {
        return __awaiter(this, void 0, void 0, function* () {
            const cachedResult = MemoryCache_1.Cache.for(MemoryCache_1.CACHE_WIDGET_TITLES).get(url);
            if (cachedResult) {
                cachedResult.cached_response = true;
                return cachedResult;
            }
            const client = new MatrixLiteClient_1.MatrixLiteClient(config_1.default.homeserver.accessToken);
            try {
                const preview = yield client.getUrlPreview(url);
                const expirationTime = 60 * 80 * 1000; // 1 hour
                const expirationAsString = moment().add(expirationTime, "milliseconds").toISOString();
                const cachedItem = {
                    cached_response: false,
                    page_title_cache_item: {
                        expires: expirationAsString,
                        cached_response_err: null,
                        cached_title: preview["og:title"],
                    },
                    error: { message: null },
                };
                MemoryCache_1.Cache.for(MemoryCache_1.CACHE_WIDGET_TITLES).put(url, cachedItem, expirationTime);
                return cachedItem;
            }
            catch (err) {
                matrix_js_snippets_1.LogService.error("ScalarWidgetService", "Error getting URL preview");
                matrix_js_snippets_1.LogService.error("ScalarWidgetService", err);
                return {
                    // All of this is to match scalar's response :/
                    cached_response: false,
                    page_title_cache_item: {
                        expires: null,
                        cached_response_err: "Failed to get URL preview",
                        cached_title: null,
                    },
                    error: {
                        message: "Failed to get URL preview",
                    },
                };
            }
        });
    }
};
__decorate([
    typescript_rest_1.GET,
    typescript_rest_1.Path("title_lookup"),
    typescript_rest_1.Security(MatrixSecurity_1.ROLE_USER),
    __param(0, typescript_rest_1.QueryParam("curl")),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [String]),
    __metadata("design:returntype", Promise)
], ScalarWidgetService.prototype, "titleLookup", null);
ScalarWidgetService = __decorate([
    typescript_rest_1.Path("/api/v1/scalar/widgets")
], ScalarWidgetService);
exports.ScalarWidgetService = ScalarWidgetService;
//# sourceMappingURL=ScalarWidgetService.js.map