"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const WidgetRecord_1 = require("./models/WidgetRecord");
const Widget_1 = require("../integrations/Widget");
class WidgetStore {
    static listAll(isEnabled) {
        return __awaiter(this, void 0, void 0, function* () {
            let conditions = {};
            if (isEnabled === true || isEnabled === false)
                conditions = { where: { isEnabled: isEnabled } };
            return (yield WidgetRecord_1.default.findAll(conditions)).map(w => new Widget_1.Widget(w));
        });
    }
    static setEnabled(type, isEnabled) {
        return __awaiter(this, void 0, void 0, function* () {
            const widget = yield WidgetRecord_1.default.findOne({ where: { type: type } });
            if (!widget)
                throw new Error("Widget not found");
            widget.isEnabled = isEnabled;
            return widget.save();
        });
    }
    static setOptions(type, options) {
        return __awaiter(this, void 0, void 0, function* () {
            const optionsJson = JSON.stringify(options);
            const widget = yield WidgetRecord_1.default.findOne({ where: { type: type } });
            if (!widget)
                throw new Error("Widget not found");
            widget.optionsJson = optionsJson;
            return yield widget.save();
        });
    }
    constructor() {
    }
}
exports.WidgetStore = WidgetStore;
//# sourceMappingURL=WidgetStore.js.map