"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_users", {
            "userId": { type: sequelize_typescript_1.DataType.STRING, primaryKey: true, allowNull: false },
        }))
            .then(() => queryInterface.createTable("dimension_upstreams", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "name": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "type": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "scalarUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "apiUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
        }))
            .then(() => queryInterface.createTable("dimension_scalar_tokens", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "userId": {
                type: sequelize_typescript_1.DataType.STRING,
                allowNull: false,
                references: { model: "dimension_users", key: "userId" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "scalarToken": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "isDimensionToken": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
            "upstreamId": {
                type: sequelize_typescript_1.DataType.INTEGER,
                allowNull: true,
                references: { model: "dimension_upstreams", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_users"))
            .then(() => queryInterface.dropTable("dimension_upstreams"))
            .then(() => queryInterface.dropTable("dimension_scalar_tokens"));
    }
};
//# sourceMappingURL=20171218203245-AddTables.js.map