"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_neb_configurations", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "appserviceId": {
                type: sequelize_typescript_1.DataType.STRING, allowNull: true,
                references: { model: "dimension_appservice", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "upstreamId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: true,
                references: { model: "dimension_upstreams", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "adminUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: true },
        }))
            .then(() => queryInterface.createTable("dimension_neb_integrations", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "type": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "name": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "avatarUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "description": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "isEnabled": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
            "isPublic": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
            "nebId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_neb_configurations", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
        }))
            .then(() => queryInterface.createTable("dimension_neb_bot_users", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "serviceId": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "appserviceUserId": {
                type: sequelize_typescript_1.DataType.STRING, allowNull: false,
                references: { model: "dimension_appservice_users", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "integrationId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_neb_integrations", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
        }))
            .then(() => queryInterface.createTable("dimension_neb_notification_users", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "serviceId": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "ownerId": {
                type: sequelize_typescript_1.DataType.STRING, allowNull: false,
                references: { model: "dimension_users", key: "userId" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "appserviceUserId": {
                type: sequelize_typescript_1.DataType.STRING, allowNull: false,
                references: { model: "dimension_appservice_users", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "integrationId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_neb_integrations", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_neb_notification_users"))
            .then(() => queryInterface.dropTable("dimension_neb_bot_users"))
            .then(() => queryInterface.dropTable("dimension_neb_integrations"))
            .then(() => queryInterface.dropTable("dimension_neb_configurations"));
    }
};
//# sourceMappingURL=20171224140745-AddNeb.js.map