"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_neb_integration_config", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "integrationId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_neb_integrations", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "roomId": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "jsonContent": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_neb_integration_config"));
    }
};
//# sourceMappingURL=20180326185545-AddNebIntegrationConfig.js.map