"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_webhooks", {
            "hookId": { type: sequelize_typescript_1.DataType.STRING, primaryKey: true, allowNull: false },
            "ownerUserId": {
                type: sequelize_typescript_1.DataType.STRING, allowNull: false,
                references: { model: "dimension_users", key: "userId" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "purposeId": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "targetUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: true },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_webhooks"));
    }
};
//# sourceMappingURL=20180330111645-AddWebhooks.js.map