"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_bridges", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "type": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "name": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "avatarUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "description": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "isEnabled": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
            "isPublic": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
        }))
            .then(() => queryInterface.bulkInsert("dimension_bridges", [
            {
                type: "irc",
                name: "IRC Bridge",
                avatarUrl: "/img/avatars/irc.png",
                isEnabled: true,
                isPublic: true,
                description: "Bridges IRC channels to rooms, supporting multiple networks",
            },
        ]));
    },
    down: (queryInterface) => {
        return queryInterface.dropTable("dimension_bridges");
    }
};
//# sourceMappingURL=20180330172445-AddBridges.js.map