"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_irc_bridges", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "upstreamId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: true,
                references: { model: "dimension_upstreams", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "provisionUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: true },
            "isEnabled": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
        }))
            .then(() => queryInterface.createTable("dimension_irc_bridge_networks", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "bridgeId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_irc_bridges", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "bridgeNetworkId": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "bridgeUserId": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "displayName": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "domain": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "isEnabled": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_irc_bridges"))
            .then(() => queryInterface.dropTable("dimension_irc_bridge_networks"));
    }
};
//# sourceMappingURL=20180330211845-AddIrcBridge.js.map