"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_telegram_bridges", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "upstreamId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: true,
                references: { model: "dimension_upstreams", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "provisionUrl": { type: sequelize_typescript_1.DataType.STRING, allowNull: true },
            "sharedSecret": { type: sequelize_typescript_1.DataType.STRING, allowNull: true },
            "allowPuppets": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: true },
            "isEnabled": { type: sequelize_typescript_1.DataType.BOOLEAN, allowNull: false },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_telegram_bridges"));
    }
};
//# sourceMappingURL=20180908155745-AddTelegramBridge.js.map