"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_terms", {
            // Ideally we'd use a composite primary key here, but that's not really possible with our libraries.
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "shortcode": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "version": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
        }))
            .then(() => queryInterface.createTable("dimension_terms_text", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "termsId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_terms", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "language": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "name": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
            "text": { type: sequelize_typescript_1.DataType.STRING, allowNull: true },
            "url": { type: sequelize_typescript_1.DataType.STRING, allowNull: false },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_terms"))
            .then(() => queryInterface.dropTable("dimension_terms_text"));
    }
};
//# sourceMappingURL=20190630194345-AddTermsOfService.js.map