"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
exports.default = {
    up: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.createTable("dimension_terms_signed", {
            "id": { type: sequelize_typescript_1.DataType.INTEGER, primaryKey: true, autoIncrement: true, allowNull: false },
            "termsId": {
                type: sequelize_typescript_1.DataType.INTEGER, allowNull: false,
                references: { model: "dimension_terms", key: "id" },
                onUpdate: "cascade", onDelete: "cascade",
            },
            "userId": {
                type: sequelize_typescript_1.DataType.STRING, allowNull: false,
                references: { model: "dimension_users", key: "userId" },
                onUpdate: "cascade", onDelete: "cascade",
            },
        }));
    },
    down: (queryInterface) => {
        return Promise.resolve()
            .then(() => queryInterface.dropTable("dimension_terms_signed"));
    }
};
//# sourceMappingURL=20190706154345-AddUserSignedTerms.js.map