"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Integration_1 = require("./Integration");
const PRIVATE_ACCESS_SUPPORTED_BRIDGES = ["webhooks", "gitter"];
class Bridge extends Integration_1.Integration {
    constructor(bridge, config) {
        super(bridge);
        this.config = config;
        this.category = "bridge";
        if (PRIVATE_ACCESS_SUPPORTED_BRIDGES.indexOf(bridge.type) !== -1)
            this.requirements = [];
        else
            this.requirements = [{
                    condition: "publicRoom",
                    expectedValue: true,
                    argument: null,
                }];
        // We'll just say we don't support encryption
        this.isEncryptionSupported = false;
    }
}
exports.Bridge = Bridge;
//# sourceMappingURL=Bridge.js.map