"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("./helpers");
class MatrixAppserviceClient {
    constructor(appservice) {
        this.appservice = appservice;
    }
    registerUser(localpart) {
        return __awaiter(this, void 0, void 0, function* () {
            return helpers_1.doClientApiCall("POST", "/_matrix/client/r0/register", { access_token: this.appservice.asToken }, { type: "m.login.application_service", username: localpart });
        });
    }
    whoAmI() {
        return __awaiter(this, void 0, void 0, function* () {
            const response = yield helpers_1.doClientApiCall("GET", "/_matrix/client/r0/account/whoami", { access_token: this.appservice.asToken });
            return response['user_id'];
        });
    }
    leaveRoom(virtualUserId, roomId) {
        return __awaiter(this, void 0, void 0, function* () {
            return helpers_1.doClientApiCall("POST", "/_matrix/client/r0/rooms/" + encodeURIComponent(roomId) + "/leave", { access_token: this.appservice.asToken, user_id: virtualUserId }, {});
        });
    }
}
exports.MatrixAppserviceClient = MatrixAppserviceClient;
//# sourceMappingURL=MatrixAppserviceClient.js.map