"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("./helpers");
class MatrixOpenIdClient {
    constructor(openId) {
        this.openId = openId;
    }
    getUserId() {
        return __awaiter(this, void 0, void 0, function* () {
            // TODO: Implement/prefer https://github.com/matrix-org/matrix-doc/issues/1115
            // #1115 also means this should become a client API call, not a federated one (finally)
            const response = yield helpers_1.doFederatedApiCall("GET", this.openId.matrix_server_name, "/_matrix/federation/v1/openid/userinfo", { access_token: this.openId.access_token });
            return response['sub'];
        });
    }
}
exports.MatrixOpenIdClient = MatrixOpenIdClient;
//# sourceMappingURL=MatrixOpenIdClient.js.map