"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class _LicenseMap {
    constructor() {
        this.LICENSE_IMPORTED = "Imported";
        this.map = {
            "Imported": "/licenses/general-imported.txt",
            "telegram": "/licenses/telegram-imported.txt",
            "GPL v3.0": "/licenses/gpl-v3.0.txt",
            "CC BY-NC-SA 4.0": "/licenses/cc_by-nc-sa_4.0.txt",
            "CC BY-NC 4.0": "/licenses/cc_by-nc_4.0.txt",
            "CC BY-SA 4.0": "/licenses/cc_by-sa_4.0.txt",
            "CC BY 4.0": "/licenses/cc_by_4.0.txt",
        };
    }
    find(name) {
        for (const licenseName of Object.keys(this.map)) {
            if (licenseName.toLowerCase() === name.toLowerCase()) {
                return { name: licenseName, url: this.map[licenseName] };
            }
        }
        return null;
    }
}
exports.LicenseMap = new _LicenseMap();
//# sourceMappingURL=LicenseMap.js.map