"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const request = require("request-promise");
class StickerpackMetadataDownloader {
    static getMetadata(packUrl) {
        return request({
            uri: packUrl,
            headers: {
                'Accept': 'application/json',
            },
            json: true,
        }).then(body => {
            if (!body || !body["io.t2bot.dimension"]) {
                throw new Error("Failed to locate Dimension metadata");
            }
            return body["io.t2bot.dimension"];
        });
    }
}
exports.StickerpackMetadataDownloader = StickerpackMetadataDownloader;
//# sourceMappingURL=StickerpackMetadataDownloader.js.map