"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const telegraf_1 = require("telegraf");
const config_1 = require("../config");
const path = require("path");
class TelegramBot {
    constructor() {
        const tg = new telegraf_1.default(config_1.default.telegram.botToken);
        this.bot = tg.telegram;
    }
    getStickerPack(packUrl) {
        return __awaiter(this, void 0, void 0, function* () {
            const set = yield this.bot.getStickerSet(path.basename(packUrl));
            const pack = {
                name: set.name,
                description: set.title,
                stickers: [],
            };
            for (const tgSticker of set.stickers) {
                pack.stickers.push({
                    url: yield this.bot.getFileLink(tgSticker.file_id),
                    emoji: tgSticker.emoji,
                });
            }
            return pack;
        });
    }
}
exports.TelegramBot = TelegramBot;
//# sourceMappingURL=TelegramBot.js.map