'use strict';

var isPort = function isPort(value) {
  return typeof value === 'number' && value >= 0 && value <= 65534 && Math.floor(value) === value;
};

// splitHost('localhost:80') => { host: 'localhost', hostname: 'localhost', port: 80 }
// splitHost('localhost') => { host: 'localhost', hostname: 'localhost' }
// splitHost('80') => { port: 80 }
// splitHost(undefined) => undefined
var splitHost = function splitHost(host) {
  if (host === undefined) {
    return;
  }

  host = String(host);
  var i = host.lastIndexOf(':');

  if (i === -1) {
    var _port = +host;
    return isPort(_port) ? { port: _port } : { host, hostname: host };
  }

  var port = +host.slice(i + 1);
  if (isPort(port)) {
    var hostname = host.slice(0, i);
    return { host: hostname, hostname, port };
  }

  return { host, hostname: host };
};

module.exports = splitHost;
splitHost.default = splitHost;
//# sourceMappingURL=index.js.map